using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SK;
using APT.Utility;
using Microsoft.AspNetCore.Mvc;

namespace APT.SK.WebApi.Controllers.Api
{
    /// <summary>
    ///  风险类别
    /// </summary>
    [Route("api/SK/SKRiskType")]
    public partial class RiskTypeController : AuthorizeApiController<T_SK_RISK_TYPE>
    {
       
        /// <summary>
        /// 更新或新增数据
        /// </summary>
        /// <param name="entity">对象实体</param>
        /// <returns></returns>
        [HttpPost, Route("FullUpdate")]
        public JsonActionResult<bool> FullUpdate([FromBody] T_SK_RISK_TYPE entity)
        {
            return WitUpdate(entity);
        }
      
    }
}
